Bug 64868 - bind 9.2.0-8 src rpm fails to rebuild on SMP machines
bind 9.2.0-8 src rpm fails to rebuild on SMP machines
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-13 16:05 EDT by Sam Varshavchik
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-13 16:05:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2002-05-13 16:05:09 EDT
The culprit is the "make %{_smp_flags}" in the spec file.

Unfortunately, it appears that bind's current makefile has a couple of race
conditions, which can sometimes fail if the -j option to make is used:

gcc -O2 -march=i386 -mcpu=i686 -I/home/mrsam/src/rpm/BUILD/bind-9.2.0 -I.
-I/home/mrsam/src/rpm/BUILD/bind-9.2.0/lib/dns/include -I../../lib/dns/include
-I../../lib/dns/sec/dst/include
-I/home/mrsam/src/rpm/BUILD/bind-9.2.0/lib/isc/include -I../../lib/isc
-I../../lib/isc/include -I../../lib/isc/unix/include
-I../../lib/isc/pthreads/include -D_REENTRANT -W -Wall -Wmissing-prototypes
-Wcast-qual -Wwrite-strings -c a6.c  -fPIC -DPIC -o .libs/a6.lo
In file included from
/home/mrsam/src/rpm/BUILD/bind-9.2.0/lib/dns/include/dns/a6.h:28,
                 from a6.c:24:
/home/mrsam/src/rpm/BUILD/bind-9.2.0/lib/dns/include/dns/types.h:162:64:
dns/enumtype.h: No such file or directory
/home/mrsam/src/rpm/BUILD/bind-9.2.0/lib/dns/include/dns/types.h:163:65:
dns/enumclass.h: No such file or directory
make[2]: *** [a6.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: Leaving directory `/mnt/sdb5/home/mrsam/src/rpm/BUILD/bind-9.2.0/lib/dns'
make[1]: *** [subdirs] Error 1
make[1]: Leaving directory `/mnt/sdb5/home/mrsam/src/rpm/BUILD/bind-9.2.0/lib'
make: *** [subdirs] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.95607 (%build)

The two include files in question, dns/enumtype.h and dns/enumclass.h, are
automatically generated by other rules in that Makefile, and it appears that the
correct dependencies for building with the -j options are not present.
Comment 1 Karsten Hopp 2002-07-22 11:29:00 EDT
disabled smb_build for now.

Note You need to log in before you can comment on or make changes to this bug.